org.apache.ignite.spi.systemview

## Interface ReadOnlySystemViewRegistry

All Superinterfaces:
  Iterable<SystemView<?>>

All Known Implementing Classes:
  GridSystemViewManager

    public interface ReadOnlySystemViewRegistry
    extends Iterable<SystemView<?>>

Read only system view registry.

See Also:
  `GridSystemViewManager`, `SystemView`, `MetricExporterSpi`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addSystemViewCreationListener(Consumer<SystemView<?>> lsnr)` Adds listener of view creation events.

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### addSystemViewCreationListener

    void addSystemViewCreationListener(Consumer<SystemView<?>> lsnr)

Adds listener of view creation events.

Parameters:
  `lsnr` - Listener.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020